# -*- coding: utf-8 -*-

from agregador.feeds import Feed
from django.contrib.sites.models import Site
from django.core.urlresolvers import reverse
from django.utils.feedgenerator import Atom1Feed


class RSSFeed(Feed):

    def title(self):
        if not hasattr(self, '_site'):
            self._site = Site.objects.get_current()
        return self._site.name

    def link(self):
        return reverse('index')

    def description (self):
        return ''               # TODO


class AtomFeed(RSSFeed):
    feed_type = Atom1Feed
    subtitle = RSSFeed.description
